### Написать реализацию кнопки "Показать пароль".
   


```javascript

    showp.addEventListener( "click" , function() {
        if(firstp.type==='text') {
            firstp.type='password'; showp.className='fas fa-eye icon-password'
        }
        else {
        firstp.type='text'; showp.className='fas fa-eye-slash icon-password'}
    });
    showp2.addEventListener( "click" ,function() {
        if(secondp.type==='text') {
            secondp.type='password'; showp2.className='fas fa-eye icon-password'
        }
        else {
            secondp.type='text'; showp2.className='fas fa-eye-slash icon-password'}

    });
    function password () {

        if(firstp.value==secondp.value){
        alert("You are welcome") }

        else {
            proverka.insertAdjacentHTML('beforebegin', '<p style="color:red">Нужно ввести одинаковые значения</p>');
 }
    }
 ```
 ```html5
 <!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
            rel="stylesheet"
            href="https://use.fontawesome.com/releases/v5.7.1/css/all.css"
            integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr"
            crossorigin="anonymous"
    />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Homework-buttons</title>
    <style>
        .password-form {
            display: flex;
            flex-direction: column;
        }
        .input-wrapper {
            position: relative;
            width: intrinsic;
            width: -moz-max-content;
            width: -webkit-max-content;
        }

        .input-wrapper input {
            min-width: 120px;
            padding: 10px;
            margin-bottom: 24px;
        }

        .input-wrapper i {
            position: absolute;
            right: 10px;
            top: 12px;
            color: grey;
        }

        .btn{
            width: 150px;
        }

    </style>
</head>
<body>
<form class="password-form" action="#" type="POST">
    <label class="input-wrapper">
        Ввести пароль
        <input id="firstp" type="password"/>
        <i id="showp" class="fas fa-eye icon-password"></i>
    </label>
    <label class="input-wrapper">
        Подтвердить пароль
        <input id="secondp" type="password"/>
        <i id="showp2" class="fas fa-eye-slash icon-password"></i>
    </label>
    <button id="proverka" onclick="password()" class="btn">Подтвердить</button>
</form>
<script>

    showp.addEventListener( "click" , function() {
        if(firstp.type==='text') {
            firstp.type='password'; showp.className='fas fa-eye icon-password'
        }
        else {
        firstp.type='text'; showp.className='fas fa-eye-slash icon-password'}
    });
    showp2.addEventListener( "click" ,function() {
        if(secondp.type==='text') {
            secondp.type='password'; showp2.className='fas fa-eye icon-password'
        }
        else {
            secondp.type='text'; showp2.className='fas fa-eye-slash icon-password'}

    });
    function password () {

        if(firstp.value==secondp.value){
        alert("You are welcome") }

        else {
            proverka.insertAdjacentHTML('beforebegin', '<p style="color:red">Нужно ввести одинаковые значения</p>');
 }
    }
</script>
</body>
</html>

  ```
  
  ###  Ссылка на задание
  https://gitlab.com/slayers4ever.ru/homework_js/blob/master/homework10.html